Page MenuHomePhabricator

Support RTL for content language
Closed, ResolvedPublic

Description

Problem

This is about being able to read an article in a RTL language.

Solution

  • Remove blacklisting of RTL languages for reading (when selecting to read the current article in another language)
  • Make sure the RTL language entries in the languages list flow RTL
  • Set page directionality so that the browser can flow the content correctly
  • Adjust any other issues in the article including
    • table placeholder
    • Suggested articles layout
    • pagination
    • Quick facts

Event Timeline

AMuigai created this task.May 14 2020, 8:35 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 14 2020, 8:35 PM
AMuigai triaged this task as Medium priority.May 14 2020, 8:35 PM
SBisson renamed this task from Set page directionality for RTL articles to Support RTL for content language.May 21 2020, 7:29 PM
SBisson edited projects, added Inuka-Team (Kanban); removed Inuka-Team.
SBisson updated the task description. (Show Details)
SBisson updated the task description. (Show Details)Jun 4 2020, 1:57 PM
SBisson updated the task description. (Show Details)
hueitan claimed this task.Jun 10 2020, 7:14 AM
hueitan moved this task from Ready for Dev to Dev on the Inuka-Team (Kanban) board.

Make sure the RTL language entries in the languages list flow RTL

In order to have this, we need this T254311: Article Language list should have buttons instead of radio buttons to be resolved first, otherwise radio button looks bad.

Make sure the RTL language entries in the languages list flow RTL

In order to have this, we need this T254311: Article Language list should have buttons instead of radio buttons to be resolved first, otherwise radio button looks bad.

It will be better but let's not make it a blocker. Many things look weird with mixed-directionality but it still works.

The overall radio list will follow the UI language (LTR) so the label is on the left and the radio button on the right. When the label is for a RTL language, its text is right aligned instead of left aligned. Setting dir on that node should do it.

hueitan moved this task from Dev to Code Review on the Inuka-Team (Kanban) board.Jun 12 2020, 10:20 AM
Restricted Application added a project: I18n. · View Herald TranscriptJun 18 2020, 4:18 PM

Here's the status of this ticket :

The latest comparsion screenshot of LTR - RTL can be found here
https://github.com/wikimedia/wikipedia-kaios/pull/248#issuecomment-652994222

Receive feedback from Moriel
https://github.com/wikimedia/wikipedia-kaios/pull/248#issuecomment-655080447

hueitan moved this task from Code Review to Dev on the Inuka-Team (Kanban) board.Jul 16 2020, 9:10 PM

Moving this back to Dev column as it requires one more update

Known issues to fix for the RTL content with LTR text

(style*1) incorrect outline in the link(style*1) incorrect outline in the linkIncorrect position of Reference [2] *2

*1 : The outline should cover the whole part as the single link
*2 : It should be [2].Dantel

hueitan moved this task from Dev to Code Review on the Inuka-Team (Kanban) board.EditedJul 21 2020, 7:50 PM

This is pushed in the PR https://github.com/wikimedia/wikipedia-kaios/pull/248


Regards the above issues, *2 has been fixed

*1 : The outline should cover the whole part as the single link

I can't find any solution for this in the firefox, as we use outline style for the border, and outline style has the issue when combining ltr and rtl in the sentence unless we change to border style, then border contains space which is not expected. This is not the serious issue and I recommend we fix it in another ticket T260391: Outline style broken in RTL language just within the styling issue.

SBisson moved this task from Code Review to QA on the Inuka-Team (Kanban) board.Jul 31 2020, 1:54 PM
Jpita moved this task from QA to Design sign off on the Inuka-Team (Kanban) board.Aug 6 2020, 11:12 AM
AMuigai closed this task as Resolved.Aug 12 2020, 12:29 PM